package com.logicbig.example;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;
import org.springframework.test.web.reactive.server.WebTestClient;

@RunWith(SpringRunner.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
public class MyWebAppTest {
    @Autowired
    private WebTestClient webTestClient;

    @Test
    public void testSayHi() {
        webTestClient.get()
                     .uri(uriBuilder -> uriBuilder.path("/")
                                                  .queryParam("name", "Joe")
                                                  .build())
                     .exchange()
                     .expectStatus().isOk()
                     .expectBody(String.class).isEqualTo("Hi there, Joe.");
    }
}